---
title: ""
date: 2022-10-04T23:35:54-04:00
---

Alex Selimov
==================


**aselimov3@gatech.edu · [https://alexselimov.com](https://alexselimov.com)**

[{{< fontawesome  class="fa-solid fa-download" >}}PDF version](/AlexSelimovCV.pdf)
## Education

- **Georgia Institute of Technology** (North Avenue, Atlanta, GA 30332)\
  PhD in Materials Science and Engineering (August 2017 - December 2022)
- **University of Central Florida** (4000 Central Florida Blvd, Orlando, FL 32816)\
  B.S. in Mechanical Engineering (August 2013 - December 2016)\
  Bachelor's Thesis: Characterization of Dispersion and Residual Stress in Nanoparticle Reinforced Hybrid Carbon Fiber Composites

## Publications:

{{< publications >}}

## Presentations

{{< presentations >}}

## Grants 

- Role: Co-PI (PI. David McDowell), Amount: 1,997,041 Service Units \
Funding Source: Extreme Science and Engineering Discovery Environment (XSEDE)\
Project Title: Concurrent atomistic-continuum simulations of extended scale defect interactions in heterogeneous microstructures (TG-MSS150010)\
Funding Period: Jan 1, 2019 - June 30, 2022

## Research Experience
**McDowell Research Group**, Dr. David McDowell, Georgia Tech\
*Graduate Research Assistant (August 2017 -- Present)*

- Worked on the development and extension of the Concurrent Atomistic-Continuum method for running massively parallel coarse-grained atomistic simulations of dislocation interactions with interfaces and other defect structures in nanolaminate and stainless steel materials.
- Improved parallel implementation and tuned calculation algorithms of in-house simulation suite obtaining runtime reductions of 66%. Also contributed to a fork of LAMMPS implementing the CAC simulation method.
- Implemented the finite element method to solve conservation law field equations to enable reductions in degrees-of-freedom leading to reduced computational cost.
- Tested various metrics to numerically characterize atomic interface structure of metallic semi-coherent interfaces and applied machine learning methods to track the interface structure evolution with loading.
- Modeled solute distributions in diffuse Cu/Ni semi-coherent interfaces and their effect on the glide of interface misfit dislocations and overall interface properties.
- Investigated the sequential interactions between dislocations and obstacles in various systems to quantify evolving obstacle strength and interaction mechanisms.

**Mechanics of Materials Organization**, Dr. Xiaowang Zhou, Sandia National Lab\
*Intern - Engineering Sciences Summer institute (May 2021 -- Aug 2021)*
 
- Studied the barrier strength of grain boundaries with embedded helium bubbles to improve hardening predictions of irradiated stainless steel materials, collaboration continued beyond internship period.
- Extended molecular dynamics barostat algorithms to coarse-grained regions for pressure relaxation.
- Worked on CAC capabilities for high temperature dynamics simulations through development of new finite element types and extension of neighboring codes for cluster potentials.

**AeroStructures Lab**, Dr. Seetha Raghavan, UCF\
*Research Assistant (September 2013 -- December 2016)*

- Utilized photoluminescence spectroscopy and piezospectroscopy for the characterization of material and mechanical properties in ceramic and composite materials.
- Worked on collaborative project with Imperial College London (Dr. Ambrose Taylor’s Research Group) for the testing and characterization of novel hybrid carbon fiber reinforced polymer (HCFRP) composites.
- Worked on collaborative project with German Aerospace Center (DLR) to study stress development in thermally grown oxide layers of thermal barrier coatings.

**Pollock Research Group**, Dr. Tresa Pollock, UCSB \
*RISE Undergraduate Intern, NSF funded REU (June -- August 2015)*

- Studied Magnesium-zinc alloys to determine methods for texture weakening for improvement of material properties through analyzing presence of intermetallic particles. 
- Utilized scanning electron microscopy to take secondary electron images, backscatter electron images, and to analyze crystallographic texture through electron backscatter diffraction
- Prepared image analysis tools to determine volume fraction of intermetallic particles from SEM images for comparison to grain size distribution of samples with Matlab.

## Skills

- Programming in Fortran, C, and C++ with additional expertise utilizing the Message Passing Interface (MPI) for implementation of parallel and scalable simulation tools.
- Programming in MATLAB, HTML, and CSS.
- Data analysis and pipeline creation using Python with Numpy, Scipy, Scikit-Learn, Pandas, and Tkinter modules. Additional familiarity with Jupyter Notebooks.
- Expertise in atomistic simulations using LAMMPS with Molecular Statics, Molecular Dynamics, and Monte-Carlo methods.
- Expertise with Linux software environment and building applications for use with computing cluster architectures.
- Familiarity with software development methodologies including test case design and CI/CD pipelines. 
