---
title: "Getting CUDA toolkit installed on Void Linux"
date: 2025-04-15T10:45:26-04:00
---

This is a short post (mainly for myself) to remember how I got CUDA installed on Void Linux.
These steps are as follows:

1. **Download the installation files:** Go to the CUDA toolkit installation website. Select Linux->x86_64->Debian->11->runfile (local)
2. **Set executable permission:** `chmod +x ./cuda_version.run`
3. **Install using the correct flags:** 
    ```bash
    sudo ./cuda_11.8.0_520.61.05_linux.run --silent --override --toolkit --no-opengl-libs --tmpdir=/home/aselimov/down/tmp
    ```
4. **Add to path:** Build should now be installed at /usr/local/cuda-version. Add the following to your bashrc or zshrc:
    ```bash
    export PATH="$PATH:/usr/local/cuda-version/bin"
    export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/local/cuda-version/lib64"
    ```

The reason I had to add the `--tmpdir` command was because I was getting an error message about the default `tmp` directory not having enough space. 
Hopefully this helps someone else out!

